<?php
$view = new view();
$view->name = 'sponsors';
$view->description = 'Listing related to sponsor nodes';
$view->tag = 'default';
$view->base_table = 'node';
$view->human_name = 'Sponsors';
$view->core = 7;
$view->api_version = '3.0';
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

/* Display: Master */
$handler = $view->new_display('default', 'Master', 'default');
$handler->display->display_options['title'] = 'Sponsors';
$handler->display->display_options['use_more_always'] = FALSE;
$handler->display->display_options['access']['type'] = 'perm';
$handler->display->display_options['cache']['type'] = 'none';
$handler->display->display_options['query']['type'] = 'views_query';
$handler->display->display_options['exposed_form']['type'] = 'basic';
$handler->display->display_options['pager']['type'] = 'some';
$handler->display->display_options['pager']['options']['items_per_page'] = '15';
$handler->display->display_options['style_plugin'] = 'default';
$handler->display->display_options['style_options']['row_class_special'] = FALSE;
$handler->display->display_options['row_plugin'] = 'fields';
$handler->display->display_options['row_options']['hide_empty'] = TRUE;
$handler->display->display_options['row_options']['default_field_elements'] = FALSE;
/* Field: Content: Title */
$handler->display->display_options['fields']['title']['id'] = 'title';
$handler->display->display_options['fields']['title']['table'] = 'node';
$handler->display->display_options['fields']['title']['field'] = 'title';
$handler->display->display_options['fields']['title']['label'] = '';
$handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
$handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
$handler->display->display_options['fields']['title']['element_type'] = 'p';
$handler->display->display_options['fields']['title']['element_class'] = 'sponsor';
$handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
$handler->display->display_options['fields']['title']['element_default_classes'] = FALSE;
/* Sort criterion: Content: Post date */
$handler->display->display_options['sorts']['created']['id'] = 'created';
$handler->display->display_options['sorts']['created']['table'] = 'node';
$handler->display->display_options['sorts']['created']['field'] = 'created';
$handler->display->display_options['sorts']['created']['order'] = 'DESC';
/* Filter criterion: Content: Published */
$handler->display->display_options['filters']['status']['id'] = 'status';
$handler->display->display_options['filters']['status']['table'] = 'node';
$handler->display->display_options['filters']['status']['field'] = 'status';
$handler->display->display_options['filters']['status']['value'] = 1;
$handler->display->display_options['filters']['status']['group'] = 1;
$handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
/* Filter criterion: Content: Type */
$handler->display->display_options['filters']['type']['id'] = 'type';
$handler->display->display_options['filters']['type']['table'] = 'node';
$handler->display->display_options['filters']['type']['field'] = 'type';
$handler->display->display_options['filters']['type']['value'] = array(
  'sponsor' => 'sponsor',
);

/* Display: Title only */
$handler = $view->new_display('block', 'Title only', 'block');
$handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
$handler->display->display_options['defaults']['style_plugin'] = FALSE;
$handler->display->display_options['style_plugin'] = 'list';
$handler->display->display_options['style_options']['row_class_special'] = FALSE;
$handler->display->display_options['style_options']['wrapper_class'] = '';
$handler->display->display_options['defaults']['style_options'] = FALSE;
$handler->display->display_options['defaults']['row_plugin'] = FALSE;
$handler->display->display_options['row_plugin'] = 'fields';
$handler->display->display_options['row_options']['hide_empty'] = TRUE;
$handler->display->display_options['row_options']['default_field_elements'] = FALSE;
$handler->display->display_options['defaults']['row_options'] = FALSE;

/* Display: Title and logo (linked) */
$handler = $view->new_display('block', 'Title and logo (linked)', 'block_1');
$handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
$handler->display->display_options['defaults']['fields'] = FALSE;
/* Field: Content: Sponsor Link */
$handler->display->display_options['fields']['field_sponsor_link']['id'] = 'field_sponsor_link';
$handler->display->display_options['fields']['field_sponsor_link']['table'] = 'field_data_field_sponsor_link';
$handler->display->display_options['fields']['field_sponsor_link']['field'] = 'field_sponsor_link';
$handler->display->display_options['fields']['field_sponsor_link']['label'] = '';
$handler->display->display_options['fields']['field_sponsor_link']['exclude'] = TRUE;
$handler->display->display_options['fields']['field_sponsor_link']['element_label_colon'] = FALSE;
$handler->display->display_options['fields']['field_sponsor_link']['element_default_classes'] = FALSE;
$handler->display->display_options['fields']['field_sponsor_link']['click_sort_column'] = 'url';
$handler->display->display_options['fields']['field_sponsor_link']['type'] = 'link_plain';
/* Field: Content: Sponsor Logo */
$handler->display->display_options['fields']['field_sponsor_logo']['id'] = 'field_sponsor_logo';
$handler->display->display_options['fields']['field_sponsor_logo']['table'] = 'field_data_field_sponsor_logo';
$handler->display->display_options['fields']['field_sponsor_logo']['field'] = 'field_sponsor_logo';
$handler->display->display_options['fields']['field_sponsor_logo']['label'] = '';
$handler->display->display_options['fields']['field_sponsor_logo']['alter']['make_link'] = TRUE;
$handler->display->display_options['fields']['field_sponsor_logo']['alter']['path'] = '[field_sponsor_link]';
$handler->display->display_options['fields']['field_sponsor_logo']['element_type'] = 'div';
$handler->display->display_options['fields']['field_sponsor_logo']['element_class'] = 'sponsor-logo';
$handler->display->display_options['fields']['field_sponsor_logo']['element_label_colon'] = FALSE;
$handler->display->display_options['fields']['field_sponsor_logo']['element_default_classes'] = FALSE;
$handler->display->display_options['fields']['field_sponsor_logo']['click_sort_column'] = 'fid';
$handler->display->display_options['fields']['field_sponsor_logo']['settings'] = array(
  'image_style' => 'thumbnail',
  'image_link' => '',
);
/* Field: Content: Title */
$handler->display->display_options['fields']['title']['id'] = 'title';
$handler->display->display_options['fields']['title']['table'] = 'node';
$handler->display->display_options['fields']['title']['field'] = 'title';
$handler->display->display_options['fields']['title']['label'] = '';
$handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
$handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
$handler->display->display_options['fields']['title']['element_type'] = 'p';
$handler->display->display_options['fields']['title']['element_class'] = 'sponsor';
$handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
$handler->display->display_options['fields']['title']['element_default_classes'] = FALSE;
